org.apache.tools.ant.types.resources.selectors

## Interface ResourceSelector

All Known Implementing Classes:
  And, Compare, ContainsRegexpSelector, ContainsSelector, Date, Exists, InstanceOf, Majority, ModifiedSelector, Name, None, Not, Or, ReadableSelector, Size, Type, WritableSelector

    public interface ResourceSelector

Interface for a Resource selector.

Since:
  Ant 1.7

### Method Summary

Methods
`boolean` `isSelected(Resource r)` Return true if this Resource is selected.

### Method Detail

#### isSelected

    boolean isSelected(Resource r)

Return true if this Resource is selected.

Parameters:
  `r` - the Resource to check.
Returns:
  whether the Resource was selected.